summaryrefslogtreecommitdiffstats
path: root/scripts/kconfig/check.sh
diff options
context:
space:
mode:
authorJean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>2010-08-08 12:04:13 +0800
committerJean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>2010-08-22 13:12:27 +0800
commit7167eb8c0be829689d926570697bb4b6ee8d2b94 (patch)
tree1b4e14a1b14af4829ba34ca1345850923aeda98f /scripts/kconfig/check.sh
parent77df62be5d5140b083152316d67a756d9fae962c (diff)
downloadbarebox-7167eb8c0be829689d926570697bb4b6ee8d2b94.tar.gz
barebox-7167eb8c0be829689d926570697bb4b6ee8d2b94.tar.xz
Kconfig: sync with linux kernel v2.6.36-rc1-168-ge36c886
this will add also the support of the new ncurse interface nconfig Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
Diffstat (limited to 'scripts/kconfig/check.sh')
-rwxr-xr-xscripts/kconfig/check.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/kconfig/check.sh b/scripts/kconfig/check.sh
new file mode 100755
index 0000000000..fa59cbf9d6
--- /dev/null
+++ b/scripts/kconfig/check.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi
+